0

I want upgrade my server to SQL Server 2017 from SQL Server 2008 R2(version 10.50.1600.1) but upgrade rules failed on SQL Server 2008 R2 Service Pack3 or later is required this error

Installing SQL Server 2008 R2 Service Pack3 has this error: The installed SQL Server product version is 10.50.1600.1, and the expected SQL Server version is 10.0.1600.22. this error

Upgrading to SQL Server 2014 has similar problem (Failed SQL Server 2008 R2 Service Pack2 or later is required)

How can upgrade to SQL Server 2017?

0

Hate to tell you but the problem is as easy as you not reading numbers.

The last error message says it all:

The installed SQL Server product version is 10.50.1600.1, and the expected SQL Server version is 10.0.1600.22

As per https://sqlserverbuilds.blogspot.com/:

  • The installed product is SQL Server 2008 R2.
  • You try to install a SQL Server 2008 service pack. NOT R2. 10.0.1600.22 actually is SQ Server 2008, NOT R2, RTM version.

So, you just have the wrong service pack.

  • Oh....I'm sorry ...I have to be more careful....Thank you – Amir Azad Jan 14 at 9:06

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.